Bug 841089 - Review Request: rubygem-sprockets - Rack-based asset packaging system
Summary: Review Request: rubygem-sprockets - Rack-based asset packaging system
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Vít Ondruch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-07-18 06:40 UTC by Bohuslav "Slavek" Kabrda
Modified: 2012-08-03 10:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-03 10:48:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
vondruch: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Bohuslav "Slavek" Kabrda 2012-07-18 06:40:45 UTC
Spec URL: http://bkabrda.fedorapeople.org/pkgs/sprockets/rubygem-sprockets.spec
SRPM URL: http://bkabrda.fedorapeople.org/pkgs/sprockets/rubygem-sprockets-2.4.5-1.fc17.src.rpm
Description:
Sprockets is a Rack-based asset packaging system that concatenates and serves JavaScript, CoffeeScript, CSS, LESS, Sass, and SCSS.
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=4247638
Fedora Account System Username: bkabrda

Comment 1 Vít Ondruch 2012-07-18 07:59:26 UTC
I'll take it for a review.

Comment 2 Vít Ondruch 2012-07-18 08:38:25 UTC
* Name of test suite archive
  - Although this is a minor nit, I would appreciate if you could adjust the
    Source1 name to %{gem_name}-%{version}-tests.tgz at least. That would be
    more aligned with the packaging guidelines example [1] and other Rails
    packages that already uses this approach.

Please consider fixing this minor nit. Otherwise, the package looks good => APPROVED



[1] https://fedoraproject.org/wiki/Packaging:Ruby#Test_suites_not_included_in_the_package

Comment 3 Bohuslav "Slavek" Kabrda 2012-07-18 08:41:29 UTC
Yes, I will do that. Thanks for the review!


New Package SCM Request
=======================
Package Name: rubygem-sprockets
Short Description: Rack-based asset packaging system
Owners: bkabrda
Branches: 
InitialCC:

Comment 4 Gwyn Ciesla 2012-07-19 12:37:38 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.